Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class PropertyPathFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.PropertyPathFullBinding

All Implemented Interfaces:
  PropertyChangeListener, EventListener, BindingUpdatable, FullBinding

    public class PropertyPathFullBinding
    extends AbstractFullBinding
    implements PropertyChangeListener

A property path full binding

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.binding.AbstractFullBinding
`converter, reverseConverter, sourceBinding, targetBinding, validator`

Constructor Summary
Constructor and Description
`PropertyPathFullBinding()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `bind()` Causes automatic updating of bound values to be turned on.
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `rebind()` Causes the current bindings to be reset.
`void` | `unbind()` Causes automatic updating of bound values to be turned off.

Methods inherited from class org.codehaus.groovy.binding.AbstractFullBinding
`getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPathFullBinding

    public PropertyPathFullBinding()

Method Detail

### bind

    public void bind()

  Description copied from interface: `BindingUpdatable`
  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

  Specified by:
    `bind` in interface `BindingUpdatable`

### unbind

    public void unbind()

  Description copied from interface: `BindingUpdatable`
  Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

  Specified by:
    `unbind` in interface `BindingUpdatable`

### rebind

    public void rebind()

  Description copied from interface: `BindingUpdatable`
  Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

  Specified by:
    `rebind` in interface `BindingUpdatable`

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD